<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;
use Illuminate\Support\Facades\Auth;
use Illuminate\Auth\Middleware\Authenticate;


class CheckAuth
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if ($request->hasHeader('Authorization') && $request->header('Authorization')) {
            return app(Authenticate::class)->handle($request, function ($request) use ($next) {
                return app(user::class)->handle($request, function ($request) use ($next) {

                    return $next($request);
                }, 'sanctum');
                return $next($request);
            }, 'sanctum');
        }
        return $next($request);
    }
}
