<?php

namespace App\Http\Middleware;

use App\Http\Helper;
use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Symfony\Component\HttpFoundation\Response;

class user
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if (Auth::user()->getClass() != 'User')
            return Helper::return(['message' => __('general.user_access'),], Response::HTTP_FORBIDDEN);
        return $next($request);
    }
}
