<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PostVersion extends Model
{
    use HasFactory;
    protected $guarded = [];
    public function category()
    {
        return $this->belongsToMany(Category::class, 'version_categories');
    }
    public function files()
    {
        return $this->hasMany(File::class, 'item_id')->where(['type' => 'PostVersion']);
    }
}
