<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Post extends Model
{
    use HasFactory, SoftDeletes;
    protected $guarded = [];
    public function categories()
    {
        return $this->belongsToMany(Category::class, 'post_category');
    }
    public function versions()
    {
        return $this->hasMany(PostVersion::class);
    }
}
